Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.json.parser
[Java] Class ParseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.codehaus.groovy.grails.web.json.parser.ParseException

    public class ParseException
    extends java.lang.Exception

This exception is thrown when parse errors are encountered. You can explicitly create objects of this exception type by calling the method generateParseException in the generated parser. You can modify this class to customize your error reporting mechanisms so long as you retain the public fields.

Field Summary
`Token` | `currentToken` This is the last token that has been consumed successfully.
`protected java.lang.String` | `eol` The end of line string for this machine.
`int` | `expectedTokenSequences` Each entry in this array is an array of integers.
`protected boolean` | `specialConstructor` This variable determines which constructor was used to create this object and thereby affects the semantics of the "getMessage" method (see below).
`java.lang.String[]` | `tokenImage` This is a reference to the "tokenImage" array of the generated parser within which the parse error occurred.

Constructor Summary
`ParseException(Token currentTokenVal, int expectedTokenSequencesVal, java.lang.String[] tokenImageVal)` This constructor is used by the method "generateParseException" in the generated parser.
`ParseException()` The following constructors are for use by you for whatever purpose you can think of.
`ParseException(java.lang.String message)` Constructor with message.

Method Summary
`protected java.lang.String` | `add_escapes(java.lang.String str)` Used to convert raw characters to their escaped version when these raw version cannot be used as part of an ASCII string literal.
`java.lang.String` | `getMessage()` This method has the standard behavior when this object has been created using the standard constructors.

Methods inherited from class java.lang.Exception
java.lang.Exception#printStackTrace(), java.lang.Exception#printStackTrace(java.io.PrintWriter), java.lang.Exception#printStackTrace(java.io.PrintStream), java.lang.Exception#fillInStackTrace(), java.lang.Exception#getCause(), java.lang.Exception#initCause(java.lang.Throwable), java.lang.Exception#toString(), java.lang.Exception#getMessage(), java.lang.Exception#getLocalizedMessage(), java.lang.Exception#getStackTrace(), java.lang.Exception#setStackTrace([Ljava.lang.StackTraceElement;), java.lang.Exception#addSuppressed(java.lang.Throwable), java.lang.Exception#getSuppressed(), java.lang.Exception#wait(long, int), java.lang.Exception#wait(long), java.lang.Exception#wait(), java.lang.Exception#equals(java.lang.Object), java.lang.Exception#hashCode(), java.lang.Exception#getClass(), java.lang.Exception#notify(), java.lang.Exception#notifyAll()

Methods inherited from class java.lang.Throwable
java.lang.Throwable#printStackTrace(), java.lang.Throwable#printStackTrace(java.io.PrintWriter), java.lang.Throwable#printStackTrace(java.io.PrintStream), java.lang.Throwable#fillInStackTrace(), java.lang.Throwable#getCause(), java.lang.Throwable#initCause(java.lang.Throwable), java.lang.Throwable#toString(), java.lang.Throwable#getMessage(), java.lang.Throwable#getLocalizedMessage(), java.lang.Throwable#getStackTrace(), java.lang.Throwable#setStackTrace([Ljava.lang.StackTraceElement;), java.lang.Throwable#addSuppressed(java.lang.Throwable), java.lang.Throwable#getSuppressed(), java.lang.Throwable#wait(long, int), java.lang.Throwable#wait(long), java.lang.Throwable#wait(), java.lang.Throwable#equals(java.lang.Object), java.lang.Throwable#hashCode(), java.lang.Throwable#getClass(), java.lang.Throwable#notify(), java.lang.Throwable#notifyAll()

Field Detail

### currentToken

    public Token currentToken

  This is the last token that has been consumed successfully. If this object has been created due to a parse error, the token followng this token will (therefore) be the first error token.

### eol

    protected java.lang.String eol

  The end of line string for this machine.

### expectedTokenSequences

    public int expectedTokenSequences

  Each entry in this array is an array of integers. Each array of integers represents a sequence of tokens (by their ordinal values) that is expected at this point of the parse.

### specialConstructor

    protected boolean specialConstructor

  This variable determines which constructor was used to create this object and thereby affects the semantics of the "getMessage" method (see below).

### tokenImage

    public java.lang.String[] tokenImage

  This is a reference to the "tokenImage" array of the generated parser within which the parse error occurred. This array is defined in the generated ...Constants interface.

Constructor Detail

### ParseException

    public ParseException(Token currentTokenVal, int expectedTokenSequencesVal, java.lang.String[] tokenImageVal)

  This constructor is used by the method "generateParseException" in the generated parser. Calling this constructor generates a new object of this type with the fields "currentToken", "expectedTokenSequences", and "tokenImage" set. The boolean flag "specialConstructor" is also set to true to indicate that this constructor was used to create this object. This constructor calls its super class with the empty string to force the "toString" method of parent class "Throwable" to print the error message in the form: ParseException:

### ParseException

    public ParseException()

  The following constructors are for use by you for whatever purpose you can think of. Constructing the exception in this manner makes the exception behave in the normal way - i.e., as documented in the class "Throwable". The fields "errorToken", "expectedTokenSequences", and "tokenImage" do not contain relevant information. The JavaCC generated code does not use these constructors.

### ParseException

    public ParseException(java.lang.String message)

  Constructor with message.

Method Detail

### add_escapes

    protected java.lang.String add_escapes(java.lang.String str)

  Used to convert raw characters to their escaped version when these raw version cannot be used as part of an ASCII string literal.

### getMessage

    @java.lang.Override
    public java.lang.String getMessage()

  This method has the standard behavior when this object has been created using the standard constructors. Otherwise, it uses "currentToken" and "expectedTokenSequences" to generate a parse error message and returns it. If this object has been created due to a parse error, and you do not catch it (it gets thrown from the parser), then this method is called during the printing of the final stack trace, and hence the correct error message gets displayed.

Groovy Documentation